Bug 33970 - QA0327.2 fdisk error with 2 scsi controllers
QA0327.2 fdisk error with 2 scsi controllers
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-29 17:01 EST by Wendy Hung
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-29 23:45:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wendy Hung 2001-03-29 17:01:12 EST
Installation to an Adaptec controller attached to 18G HD 
with ServeRAID-3M controller in PCI slot unattached to any HDDs:

select Custom installation - Manually partition
Fdisk error message:
"An error occurred reading the partition table for the block device sda.  The error was:
Input/output error"
"Retry" or "Skip Drive" are the options.
Skipping the drive and finishing the installation to the /dev/sdb drive results in a kernel panic.

This was an issue with RH7.0 where the ips driver was being loaded first before the adaptec driver.
RC2 does not exhibit this bug.
Comment 1 Matt Wilson 2001-03-29 18:05:30 EST
assigning to aic7xxx maintainer
Comment 2 Doug Ledford 2001-03-29 23:45:04 EST
I'm a little confused.  If there is a disk attached to the aic7xxx controller,
and no disk attached to the ips controller, then how is there both a /dev/sda
and /dev/sdb?  Also, if it is unable to read/write the master boot record of
/dev/sda then I wouldn't expect the install to work anyway since lilo won't be
able to write a master boot record.

You also talked about a panic, but you didn't elaborate on the point at all. 
Was the panic after the installation was complete and after the reboot, was it
before the reboot, was it before the installation was even completed?
Comment 3 Wendy Hung 2001-04-06 15:37:38 EDT
This is not a bug. 
There RAID controller had not been set to default settings from previous use so a logical drive had been defined.

Note You need to log in before you can comment on or make changes to this bug.